# Constant Field Values

## Contents

- groovy.grape.*
- groovy.inspect.*
- groovy.json.*
- groovy.lang.*
- groovy.servlet.*
- groovy.sql.*
- groovy.test.*
- groovy.text.*
- groovy.transform.*
- groovy.ui.*
- groovy.util.*
- org.codehaus.*

## groovy.grape.*

groovy.grape.Grape
Modifier and Type
Constant Field
Value
`public static final String`
`AUTO_DOWNLOAD_SETTING`
`"autoDownload"`
`public static final String`
`DISABLE_CHECKSUMS_SETTING`
`"disableChecksums"`
`public static final String`
`SYSTEM_PROPERTIES_SETTING`
`"systemProperties"`

## groovy.inspect.*

groovy.inspect.Inspector
Modifier and Type
Constant Field
Value
`public static final int`
`CLASS_CLASS_IDX`
`1`
`public static final int`
`CLASS_INTERFACE_IDX`
`2`
`public static final int`
`CLASS_OTHER_IDX`
`4`
`public static final int`
`CLASS_PACKAGE_IDX`
`0`
`public static final int`
`CLASS_SUPERCLASS_IDX`
`3`
`public static final String`
`GROOVY`
`"GROOVY"`
`public static final String`
`JAVA`
`"JAVA"`
`public static final int`
`MEMBER_DECLARER_IDX`
`2`
`public static final int`
`MEMBER_EXCEPTIONS_IDX`
`6`
`public static final int`
`MEMBER_MODIFIER_IDX`
`1`
`public static final int`
`MEMBER_NAME_IDX`
`4`
`public static final int`
`MEMBER_ORIGIN_IDX`
`0`
`public static final int`
`MEMBER_PARAMS_IDX`
`5`
`public static final int`
`MEMBER_TYPE_IDX`
`3`
`public static final int`
`MEMBER_VALUE_IDX`
`5`
`public static final String`
`NOT_APPLICABLE`
`"n/a"`

## groovy.json.*

groovy.json.internal.BaseJsonParser
Modifier and Type
Constant Field
Value
`protected static final int`
`ALPHA_0`
`48`
`protected static final int`
`ALPHA_1`
`49`
`protected static final int`
`ALPHA_2`
`50`
`protected static final int`
`ALPHA_3`
`51`
`protected static final int`
`ALPHA_4`
`52`
`protected static final int`
`ALPHA_5`
`53`
`protected static final int`
`ALPHA_6`
`54`
`protected static final int`
`ALPHA_7`
`55`
`protected static final int`
`ALPHA_8`
`56`
`protected static final int`
`ALPHA_9`
`57`
`protected static final int`
`CLOSED_BRACKET`
`93`
`protected static final int`
`CLOSED_CURLY`
`125`
`protected static final int`
`COLON`
`58`
`protected static final int`
`COMMA`
`44`
`protected static final int`
`DECIMAL_POINT`
`46`
`protected static final int`
`DOUBLE_QUOTE`
`34`
`protected static final int`
`ESCAPE`
`92`
`protected static final int`
`LETTER_BIG_E`
`69`
`protected static final int`
`LETTER_E`
`101`
`protected static final int`
`MINUS`
`45`
`protected static final int`
`PLUS`
`43`
groovy.json.internal.CharScanner
Modifier and Type
Constant Field
Value
`protected static final int`
`ALPHA_0`
`48`
`protected static final int`
`ALPHA_1`
`49`
`protected static final int`
`ALPHA_2`
`50`
`protected static final int`
`ALPHA_3`
`51`
`protected static final int`
`ALPHA_4`
`52`
`protected static final int`
`ALPHA_5`
`53`
`protected static final int`
`ALPHA_6`
`54`
`protected static final int`
`ALPHA_7`
`55`
`protected static final int`
`ALPHA_8`
`56`
`protected static final int`
`ALPHA_9`
`57`
`protected static final int`
`CLOSED_BRACKET`
`93`
`protected static final int`
`CLOSED_CURLY`
`125`
`protected static final int`
`COMMA`
`44`
`protected static final int`
`DECIMAL_POINT`
`46`
`protected static final int`
`DOUBLE_QUOTE`
`34`
`protected static final int`
`ESCAPE`
`92`
`protected static final int`
`LETTER_BIG_E`
`69`
`protected static final int`
`LETTER_E`
`101`
`protected static final int`
`MINUS`
`45`
`protected static final int`
`PLUS`
`43`

## groovy.lang.*

groovy.lang.Closure<V>
Modifier and Type
Constant Field
Value
`public static final int`
`DELEGATE_FIRST`
`1`
`public static final int`
`DELEGATE_ONLY`
`3`
`public static final int`
`DONE`
`1`
`public static final int`
`OWNER_FIRST`
`0`
`public static final int`
`OWNER_ONLY`
`2`
`public static final int`
`SKIP`
`2`
`public static final int`
`TO_SELF`
`4`
groovy.lang.ExpandoMetaClass
Modifier and Type
Constant Field
Value
`public static final String`
`CONSTRUCTOR`
`"constructor"`
`public static final String`
`STATIC_QUALIFIER`
`"static"`
groovy.lang.GroovyShell
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_CODE_BASE`
`"/groovy/shell"`
groovy.lang.MetaClassImpl
Modifier and Type
Constant Field
Value
`protected static final String`
`INVOKE_METHOD_METHOD`
`"invokeMethod"`
`protected static final String`
`METHOD_MISSING`
`"methodMissing"`
`protected static final String`
`PROPERTY_MISSING`
`"propertyMissing"`
`protected static final String`
`STATIC_METHOD_MISSING`
`"$static_methodMissing"`
`protected static final String`
`STATIC_PROPERTY_MISSING`
`"$static_propertyMissing"`
groovy.lang.MetaProperty
Modifier and Type
Constant Field
Value
`public static final String`
`PROPERTY_SET_PREFIX`
`"set"`

## groovy.servlet.*

groovy.servlet.AbstractHttpServlet
Modifier and Type
Constant Field
Value
`public static final String`
`CONTENT_TYPE_TEXT_HTML`
`"text/html"`
`public static final String`
`INC_PATH_INFO`
`"javax.servlet.include.path_info"`
`public static final String`
`INC_REQUEST_URI`
`"javax.servlet.include.request_uri"`
`public static final String`
`INC_SERVLET_PATH`
`"javax.servlet.include.servlet_path"`
`public static final String`
`INIT_PARAM_RESOURCE_NAME_REGEX`
`"resource.name.regex"`
`public static final String`
`INIT_PARAM_RESOURCE_NAME_REGEX_FLAGS`
`"resource.name.regex.flags"`

## groovy.sql.*

groovy.sql.Sql
Modifier and Type
Constant Field
Value
`public static final int`
`ALL_RESULT_SETS`
`2`
`public static final int`
`FIRST_RESULT_SET`
`1`
`public static final int`
`NO_RESULT_SETS`
`0`

## groovy.test.*

groovy.test.GroovyAssert
Modifier and Type
Constant Field
Value
`public static final String`
`TEST_SCRIPT_NAME_PREFIX`
`"TestScript"`

## groovy.text.*

groovy.text.XmlTemplateEngine
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_INDENTATION`
`" "`

groovy.text.markup.DelegatingIndentWriter
Modifier and Type
Constant Field
Value
`public static final String`
`SPACES`
`" "`
`public static final String`
`TAB`
`"\t"`

## groovy.transform.*

groovy.transform.Undefined
Modifier and Type
Constant Field
Value
`public static final String`
`STRING`
`"<DummyUndefinedMarkerString-DoNotUse>"`

## groovy.ui.*

groovy.ui.text.FindReplaceUtility
Modifier and Type
Constant Field
Value
`public static final String`
`CLOSE_ACTION_COMMAND`
`"Close"`
`public static final String`
`FIND_ACTION_COMMAND`
`"Find"`
`public static final String`
`REPLACE_ACTION_COMMAND`
`"Replace"`
`public static final String`
`REPLACE_ALL_ACTION_COMMAND`
`"Replace All"`
groovy.ui.text.GroovyFilter
Modifier and Type
Constant Field
Value
`public static final String`
`BINARY_INTEGER_LITERAL`
`"0[bB][01](?:[_01]*[01])?"`
`public static final String`
`COMMENT`
`"comment"`
`public static final String`
`DECIMAL_FLOATING_POINT_LITERAL`
`"(?:0|[1-9](?:[_0-9]*[0-9])?)?\\.?[0-9](?:[_0-9]*[0-9])?(?:[eE][+-]?[0-9]+(?:[_0-9]*[0-9])?)?[fFdD]?"`
`public static final String`
`DECIMAL_INTEGER_LITERAL`
`"(?:0|[1-9](?:[_0-9]*[0-9])?)[lL]?"`
`public static final String`
`DIGIT`
`"DIGIT"`
`public static final String`
`HEX_INTEGER_LITERAL`
`"0[xX][0-9a-fA-F](?:[0-9a-fA-F_]*[0-9a-fA-F])?"`
`public static final String`
`HEXADECIMAL_FLOATING_POINT_LITERAL`
`"0[xX](?:[0-9a-fA-F](?:[0-9a-fA-F_]*[0-9a-fA-F])?)?\\.?(?:[0-9a-fA-F_]*[0-9a-fA-F])?(?:[pP][+-]?[0-9]+(?:[_0-9]*[0-9])?)?[fFdD]?"`
`public static final String`
`IDENT`
`"[\\w\\$&&[\\D]][\\w\\$]*"`
`public static final String`
`LEFT_PARENS`
`"\\("`
`public static final String`
`OCTAL_INTEGER_LITERAL`
`"0[0-7](?:[_0-7]*[0-7])?"`
`public static final String`
`OPERATION`
`"[\\w\\$&&[\\D]][\\w\\$]* *\\("`
`public static final String`
`QUOTES`
`"(?ms:\"{3}.*?(?:\"{3}|\\z))|(?:\"{1}.*?(?:\"|\\Z))"`
`public static final String`
`RESERVED_WORD`
`"reserved"`
`public static final String`
`SINGLE_QUOTES`
`"(?ms:\'{3}(?!\'{1,3}).*?(?:\'{3}|\\z))|(?:\'{1}.*?(?:\'|\\z))"`
`public static final String`
`SLASH_SLASH_COMMENT`
`"//.*"`
`public static final String`
`SLASH_STAR_COMMENT`
`"/\\*(?s:.)*?(?:\\*/|\\z)"`
`public static final String`
`SLASHY_QUOTES`
`"(?:/[^/*].*?(?<!\\\\)/|(?ms:\\$/.*?(?:/\\$|\\z)))"`
groovy.ui.text.StructuredSyntaxDocumentFilter
Modifier and Type
Constant Field
Value
`public static final String`
`TAB_REPLACEMENT`
`" "`
groovy.ui.text.StructuredSyntaxHandler
Modifier and Type
Constant Field
Value
`public static final String`
`ALIGN_CENTER`
`"ALIGN_CENTER"`
`public static final String`
`ALIGN_JUSTIFIED`
`"ALIGN_JUSTIFIED"`
`public static final String`
`ALIGN_LEFT`
`"ALIGN_LEFT"`
`public static final String`
`ALIGN_RIGHT`
`"ALIGN_RIGHT"`
`public static final String`
`ALIGNMENT`
`"alignment"`
`public static final String`
`BACKGROUND`
`"background"`
`public static final String`
`BIDI_LEVEL`
`"bidiLevel"`
`public static final String`
`BOLD`
`"bold"`
`public static final String`
`COMPONENT_ATTRIBUTE`
`"componentAttribute"`
`public static final String`
`COMPONENT_ELEMENT_NAME`
`"componentElementName"`
`public static final String`
`COMPOSED_TEXT_ATTRIBUTE`
`"composedTextAttribute"`
`public static final String`
`FIRST_LINE_INDENT`
`"firstLineIndent"`
`public static final String`
`FONT_FAMILY`
`"fontFamily"`
`public static final String`
`FONT_SIZE`
`"fontSize"`
`public static final String`
`FOREGROUND`
`"foreground"`
`public static final String`
`ICON_ATTRIBUTE`
`"iconAttribute"`
`public static final String`
`ICON_ELEMENT_NAME`
`"iconElementName"`
`public static final String`
`ITALIC`
`"italic"`
`public static final String`
`LEFT_INDENT`
`"leftIndent"`
`public static final String`
`LINE_SPACING`
`"lineSpacing"`
`public static final String`
`MODEL_ATTRIBUTE`
`"modelAttribute"`
`public static final String`
`NAME_ATTRIBUTE`
`"nameAttribute"`
`public static final String`
`ORIENTATION`
`"orientation"`
`public static final String`
`REGEXP`
`"regexp"`
`public static final String`
`RESOLVE_ATTRIBUTE`
`"resolveAttribute"`
`public static final String`
`RIGHT_INDENT`
`"rightIndent"`
`public static final String`
`SPACE_ABOVE`
`"spaceAbove"`
`public static final String`
`SPACE_BELOW`
`"spaceBelow"`
`public static final String`
`STRIKE_THROUGH`
`"strikeThrough"`
`public static final String`
`STYLE`
`"style"`
`public static final String`
`SUBSCRIPT`
`"subscript"`
`public static final String`
`SUPERSCRIPT`
`"superscript"`
`public static final String`
`TAB_SET`
`"tabSet"`
`public static final String`
`UNDERLINE`
`"underline"`
groovy.ui.text.StructuredSyntaxResources
Modifier and Type
Constant Field
Value
`public static final String`
`FIND`
`"Find"`
`public static final String`
`FIND_NEXT`
`"Find Next"`
`public static final String`
`PRINT`
`"Print"`
`public static final String`
`REDO`
`"Redo"`
`public static final String`
`REPLACE`
`"Replace"`
`public static final String`
`UNDO`
`"Undo"`
groovy.ui.text.TextEditor
Modifier and Type
Constant Field
Value
`public static final String`
`AUTO_INDENT`
`"AutoIndent"`
`public static final String`
`FIND`
`"Find..."`
`public static final String`
`FIND_NEXT`
`"Find Next"`
`public static final String`
`FIND_PREVIOUS`
`"Find Previous"`
`public static final String`
`REPLACE`
`"Replace..."`

## groovy.util.*

groovy.util.AllTestSuite
Modifier and Type
Constant Field
Value
`public static final String`
`SYSPROP_TEST_DIR`
`"groovy.test.dir"`
`public static final String`
`SYSPROP_TEST_EXCLUDES_PATTERN`
`"groovy.test.excludesPattern"`
`public static final String`
`SYSPROP_TEST_PATTERN`
`"groovy.test.pattern"`
groovy.util.FactoryBuilderSupport
Modifier and Type
Constant Field
Value
`public static final String`
`CHILD_BUILDER`
`"_CHILD_BUILDER_"`
`public static final String`
`CURRENT_BUILDER`
`"_CURRENT_BUILDER_"`
`public static final String`
`CURRENT_FACTORY`
`"_CURRENT_FACTORY_"`
`public static final String`
`CURRENT_NAME`
`"_CURRENT_NAME_"`
`public static final String`
`CURRENT_NODE`
`"_CURRENT_NODE_"`
`public static final String`
`OWNER`
`"owner"`
`public static final String`
`PARENT_BUILDER`
`"_PARENT_BUILDER_"`
`public static final String`
`PARENT_CONTEXT`
`"_PARENT_CONTEXT_"`
`public static final String`
`PARENT_FACTORY`
`"_PARENT_FACTORY_"`
`public static final String`
`PARENT_NAME`
`"_PARENT_NAME_"`
`public static final String`
`PARENT_NODE`
`"_PARENT_NODE_"`
`public static final String`
`SCRIPT_CLASS_NAME`
`"_SCRIPT_CLASS_NAME_"`
groovy.util.GroovyTestCase
Modifier and Type
Constant Field
Value
`public static final String`
`TEST_SCRIPT_NAME_PREFIX`
`"TestScript"`
groovy.util.ObjectGraphBuilder
Modifier and Type
Constant Field
Value
`public static final String`
`CLASSNAME_RESOLVER_KEY`
`"name"`
`public static final String`
`CLASSNAME_RESOLVER_REFLECTION`
`"reflection"`
`public static final String`
`CLASSNAME_RESOLVER_REFLECTION_ROOT`
`"root"`
`public static final String`
`LAZY_REF`
`"_LAZY_REF_"`
`public static final String`
`NODE_CLASS`
`"_NODE_CLASS_"`
`public static final String`
`NODE_NAME`
`"_NODE_NAME_"`
`public static final String`
`OBJECT_ID`
`"_OBJECT_ID_"`
groovy.util.ObservableList
Modifier and Type
Constant Field
Value
`public static final String`
`CONTENT_PROPERTY`
`"content"`
`public static final String`
`SIZE_PROPERTY`
`"size"`
groovy.util.ObservableMap
Modifier and Type
Constant Field
Value
`public static final String`
`CLEARED_PROPERTY`
`"cleared"`
`public static final String`
`CONTENT_PROPERTY`
`"content"`
`public static final String`
`SIZE_PROPERTY`
`"size"`
groovy.util.ObservableMap.MultiPropertyEvent
Modifier and Type
Constant Field
Value
`public static final String`
`MULTI_PROPERTY`
`"groovy_util_ObservableMap_MultiPropertyEvent_MULTI"`
groovy.util.ObservableSet<E>
Modifier and Type
Constant Field
Value
`public static final String`
`CONTENT_PROPERTY`
`"content"`
`public static final String`
`SIZE_PROPERTY`
`"size"`

## org.codehaus.*

org.codehaus.groovy.antlr.java.JavaLexer
Modifier and Type
Constant Field
Value
`protected static final int`
`SCS_LIMIT`
`16`
`protected static final int`
`SCS_LIT`
`8`
`protected static final int`
`SCS_RE_TYPE`
`2`
`protected static final int`
`SCS_SQ_TYPE`
`0`
`protected static final int`
`SCS_TQ_TYPE`
`1`
`protected static final int`
`SCS_TYPE`
`3`
`protected static final int`
`SCS_VAL`
`4`
org.codehaus.groovy.antlr.java.JavaTokenTypes
Modifier and Type
Constant Field
Value
`public static final int`
`ABSTRACT`
`39`
`public static final int`
`ANNOTATION`
`50`
`public static final int`
`ANNOTATION_ARRAY_INIT`
`53`
`public static final int`
`ANNOTATION_DEF`
`48`
`public static final int`
`ANNOTATION_FIELD_DEF`
`52`
`public static final int`
`ANNOTATION_MEMBER_VALUE_PAIR`
`51`
`public static final int`
`ANNOTATIONS`
`49`
`public static final int`
`ARRAY_DECLARATOR`
`16`
`public static final int`
`ARRAY_INIT`
`28`
`public static final int`
`ASSIGN`
`98`
`public static final int`
`AT`
`95`
`public static final int`
`BAND`
`104`
`public static final int`
`BAND_ASSIGN`
`134`
`public static final int`
`BLOCK`
`4`
`public static final int`
`BNOT`
`153`
`public static final int`
`BOR`
`139`
`public static final int`
`BOR_ASSIGN`
`136`
`public static final int`
`BSR`
`76`
`public static final int`
`BSR_ASSIGN`
`132`
`public static final int`
`BXOR`
`140`
`public static final int`
`BXOR_ASSIGN`
`135`
`public static final int`
`CASE_GROUP`
`32`
`public static final int`
`CHAR_LITERAL`
`160`
`public static final int`
`CLASS_DEF`
`13`
`public static final int`
`COLON`
`110`
`public static final int`
`COMMA`
`74`
`public static final int`
`CTOR_CALL`
`42`
`public static final int`
`DEC`
`152`
`public static final int`
`DIV`
`149`
`public static final int`
`DIV_ASSIGN`
`129`
`public static final int`
`DOT`
`68`
`public static final int`
`ELIST`
`33`
`public static final int`
`EMPTY_STAT`
`37`
`public static final int`
`ENUM_CONSTANT_DEF`
`46`
`public static final int`
`ENUM_DEF`
`45`
`public static final int`
`EOF`
`1`
`public static final int`
`EQUAL`
`142`
`public static final int`
`ESC`
`168`
`public static final int`
`EXPONENT`
`171`
`public static final int`
`EXPR`
`27`
`public static final int`
`EXTENDS_CLAUSE`
`17`
`public static final int`
`FINAL`
`38`
`public static final int`
`FLOAT_SUFFIX`
`172`
`public static final int`
`FOR_CONDITION`
`35`
`public static final int`
`FOR_EACH_CLAUSE`
`47`
`public static final int`
`FOR_INIT`
`34`
`public static final int`
`FOR_ITERATOR`
`36`
`public static final int`
`GE`
`144`
`public static final int`
`GT`
`73`
`public static final int`
`HEX_DIGIT`
`169`
`public static final int`
`IDENT`
`67`
`public static final int`
`IMPLEMENTS_CLAUSE`
`18`
`public static final int`
`IMPORT`
`29`
`public static final int`
`INC`
`151`
`public static final int`
`INDEX_OP`
`23`
`public static final int`
`INSTANCE_INIT`
`10`
`public static final int`
`INTERFACE_DEF`
`14`
`public static final int`
`LABELED_STAT`
`21`
`public static final int`
`LAND`
`138`
`public static final int`
`LBRACK`
`65`
`public static final int`
`LCURLY`
`99`
`public static final int`
`LE`
`143`
`public static final int`
`LITERAL_assert`
`120`
`public static final int`
`LITERAL_boolean`
`78`
`public static final int`
`LITERAL_break`
`115`
`public static final int`
`LITERAL_byte`
`79`
`public static final int`
`LITERAL_case`
`122`
`public static final int`
`LITERAL_catch`
`125`
`public static final int`
`LITERAL_char`
`80`
`public static final int`
`LITERAL_class`
`101`
`public static final int`
`LITERAL_continue`
`116`
`public static final int`
`LITERAL_default`
`105`
`public static final int`
`LITERAL_do`
`114`
`public static final int`
`LITERAL_double`
`85`
`public static final int`
`LITERAL_else`
`112`
`public static final int`
`LITERAL_enum`
`103`
`public static final int`
`LITERAL_extends`
`70`
`public static final int`
`LITERAL_false`
`156`
`public static final int`
`LITERAL_finally`
`124`
`public static final int`
`LITERAL_float`
`83`
`public static final int`
`LITERAL_for`
`121`
`public static final int`
`LITERAL_if`
`111`
`public static final int`
`LITERAL_implements`
`106`
`public static final int`
`LITERAL_import`
`63`
`public static final int`
`LITERAL_instanceof`
`145`
`public static final int`
`LITERAL_int`
`82`
`public static final int`
`LITERAL_interface`
`102`
`public static final int`
`LITERAL_long`
`84`
`public static final int`
`LITERAL_native`
`91`
`public static final int`
`LITERAL_new`
`158`
`public static final int`
`LITERAL_null`
`157`
`public static final int`
`LITERAL_package`
`61`
`public static final int`
`LITERAL_private`
`87`
`public static final int`
`LITERAL_protected`
`89`
`public static final int`
`LITERAL_public`
`88`
`public static final int`
`LITERAL_return`
`117`
`public static final int`
`LITERAL_short`
`81`
`public static final int`
`LITERAL_static`
`64`
`public static final int`
`LITERAL_super`
`71`
`public static final int`
`LITERAL_switch`
`118`
`public static final int`
`LITERAL_synchronized`
`93`
`public static final int`
`LITERAL_this`
`107`
`public static final int`
`LITERAL_threadsafe`
`92`
`public static final int`
`LITERAL_throw`
`119`
`public static final int`
`LITERAL_throws`
`108`
`public static final int`
`LITERAL_transient`
`90`
`public static final int`
`LITERAL_true`
`155`
`public static final int`
`LITERAL_try`
`123`
`public static final int`
`LITERAL_void`
`77`
`public static final int`
`LITERAL_volatile`
`94`
`public static final int`
`LITERAL_while`
`113`
`public static final int`
`LNOT`
`154`
`public static final int`
`LOR`
`137`
`public static final int`
`LPAREN`
`96`
`public static final int`
`LT`
`72`
`public static final int`
`METHOD_CALL`
`26`
`public static final int`
`METHOD_DEF`
`8`
`public static final int`
`MINUS`
`148`
`public static final int`
`MINUS_ASSIGN`
`127`
`public static final int`
`ML_COMMENT`
`167`
`public static final int`
`MOD`
`150`
`public static final int`
`MOD_ASSIGN`
`130`
`public static final int`
`MODIFIERS`
`5`
`public static final int`
`NOT_EQUAL`
`141`
`public static final int`
`NULL_TREE_LOOKAHEAD`
`3`
`public static final int`
`NUM_DOUBLE`
`164`
`public static final int`
`NUM_FLOAT`
`162`
`public static final int`
`NUM_INT`
`159`
`public static final int`
`NUM_LONG`
`163`
`public static final int`
`OBJBLOCK`
`6`
`public static final int`
`PACKAGE_DEF`
`15`
`public static final int`
`PARAMETER_DEF`
`20`
`public static final int`
`PARAMETERS`
`19`
`public static final int`
`PLUS`
`147`
`public static final int`
`PLUS_ASSIGN`
`126`
`public static final int`
`POST_DEC`
`25`
`public static final int`
`POST_INC`
`24`
`public static final int`
`QUESTION`
`69`
`public static final int`
`RBRACK`
`66`
`public static final int`
`RCURLY`
`100`
`public static final int`
`RPAREN`
`97`
`public static final int`
`SEMI`
`62`
`public static final int`
`SL`
`146`
`public static final int`
`SL_ASSIGN`
`133`
`public static final int`
`SL_COMMENT`
`166`
`public static final int`
`SLIST`
`7`
`public static final int`
`SR`
`75`
`public static final int`
`SR_ASSIGN`
`131`
`public static final int`
`STAR`
`86`
`public static final int`
`STAR_ASSIGN`
`128`
`public static final int`
`STATIC_IMPORT`
`44`
`public static final int`
`STATIC_INIT`
`11`
`public static final int`
`STRICTFP`
`40`
`public static final int`
`STRING_LITERAL`
`161`
`public static final int`
`SUPER_CTOR_CALL`
`41`
`public static final int`
`TRIPLE_DOT`
`109`
`public static final int`
`TYPE`
`12`
`public static final int`
`TYPE_ARGUMENT`
`55`
`public static final int`
`TYPE_ARGUMENTS`
`54`
`public static final int`
`TYPE_LOWER_BOUNDS`
`60`
`public static final int`
`TYPE_PARAMETER`
`57`
`public static final int`
`TYPE_PARAMETERS`
`56`
`public static final int`
`TYPE_UPPER_BOUNDS`
`59`
`public static final int`
`TYPECAST`
`22`
`public static final int`
`UNARY_MINUS`
`30`
`public static final int`
`UNARY_PLUS`
`31`
`public static final int`
`VARIABLE_DEF`
`9`
`public static final int`
`VARIABLE_PARAMETER_DEF`
`43`
`public static final int`
`VOCAB`
`170`
`public static final int`
`WILDCARD_TYPE`
`58`
`public static final int`
`WS`
`165`

org.codehaus.groovy.antlr.parser.GroovyLexer
Modifier and Type
Constant Field
Value
`protected static final int`
`SCS_DRE_TYPE`
`3`
`protected static final int`
`SCS_LIMIT`
`16`
`protected static final int`
`SCS_LIT`
`8`
`protected static final int`
`SCS_RE_TYPE`
`2`
`protected static final int`
`SCS_SQ_TYPE`
`0`
`protected static final int`
`SCS_TQ_TYPE`
`1`
`protected static final int`
`SCS_TYPE`
`3`
`protected static final int`
`SCS_VAL`
`4`
org.codehaus.groovy.antlr.parser.GroovyTokenTypes
Modifier and Type
Constant Field
Value
`public static final int`
`ABSTRACT`
`39`
`public static final int`
`ANNOTATION`
`66`
`public static final int`
`ANNOTATION_ARRAY_INIT`
`69`
`public static final int`
`ANNOTATION_DEF`
`64`
`public static final int`
`ANNOTATION_FIELD_DEF`
`68`
`public static final int`
`ANNOTATION_MEMBER_VALUE_PAIR`
`67`
`public static final int`
`ANNOTATIONS`
`65`
`public static final int`
`ARRAY_DECLARATOR`
`17`
`public static final int`
`ASSIGN`
`124`
`public static final int`
`AT`
`96`
`public static final int`
`BAND`
`125`
`public static final int`
`BAND_ASSIGN`
`170`
`public static final int`
`BIG_SUFFIX`
`230`
`public static final int`
`BLOCK`
`4`
`public static final int`
`BNOT`
`195`
`public static final int`
`BOR`
`134`
`public static final int`
`BOR_ASSIGN`
`172`
`public static final int`
`BSR`
`103`
`public static final int`
`BSR_ASSIGN`
`168`
`public static final int`
`BXOR`
`177`
`public static final int`
`BXOR_ASSIGN`
`171`
`public static final int`
`CASE_GROUP`
`32`
`public static final int`
`CLASS_DEF`
`13`
`public static final int`
`CLOSABLE_BLOCK`
`50`
`public static final int`
`CLOSABLE_BLOCK_OP`
`135`
`public static final int`
`CLOSURE_LIST`
`77`
`public static final int`
`COLON`
`136`
`public static final int`
`COMMA`
`101`
`public static final int`
`COMPARE_TO`
`184`
`public static final int`
`CTOR_CALL`
`45`
`public static final int`
`CTOR_IDENT`
`46`
`public static final int`
`DEC`
`193`
`public static final int`
`DIGIT`
`225`
`public static final int`
`DIGITS_WITH_UNDERSCORE`
`226`
`public static final int`
`DIGITS_WITH_UNDERSCORE_OPT`
`227`
`public static final int`
`DIV`
`191`
`public static final int`
`DIV_ASSIGN`
`165`
`public static final int`
`DOLLAR`
`206`
`public static final int`
`DOLLAR_REGEXP_CTOR_END`
`215`
`public static final int`
`DOLLAR_REGEXP_LITERAL`
`213`
`public static final int`
`DOLLAR_REGEXP_SYMBOL`
`219`
`public static final int`
`DOT`
`90`
`public static final int`
`DYNAMIC_MEMBER`
`53`
`public static final int`
`ELIST`
`33`
`public static final int`
`ELVIS_OPERATOR`
`174`
`public static final int`
`EMPTY_STAT`
`37`
`public static final int`
`ENUM_CONSTANT_DEF`
`62`
`public static final int`
`ENUM_DEF`
`61`
`public static final int`
`EOF`
`1`
`public static final int`
`EQUAL`
`181`
`public static final int`
`ESC`
`220`
`public static final int`
`ESCAPED_DOLLAR`
`217`
`public static final int`
`ESCAPED_SLASH`
`216`
`public static final int`
`EXPONENT`
`228`
`public static final int`
`EXPR`
`28`
`public static final int`
`EXTENDS_CLAUSE`
`18`
`public static final int`
`FINAL`
`38`
`public static final int`
`FLOAT_SUFFIX`
`229`
`public static final int`
`FOR_CONDITION`
`35`
`public static final int`
`FOR_EACH_CLAUSE`
`63`
`public static final int`
`FOR_IN_ITERABLE`
`59`
`public static final int`
`FOR_INIT`
`34`
`public static final int`
`FOR_ITERATOR`
`36`
`public static final int`
`GE`
`186`
`public static final int`
`GT`
`100`
`public static final int`
`HEX_DIGIT`
`222`
`public static final int`
`IDENT`
`87`
`public static final int`
`IDENTICAL`
`182`
`public static final int`
`IMPLEMENTS_CLAUSE`
`19`
`public static final int`
`IMPLICIT_PARAMETERS`
`51`
`public static final int`
`IMPORT`
`29`
`public static final int`
`INC`
`190`
`public static final int`
`INDEX_OP`
`24`
`public static final int`
`INSTANCE_INIT`
`10`
`public static final int`
`INTERFACE_DEF`
`14`
`public static final int`
`LABELED_ARG`
`54`
`public static final int`
`LABELED_STAT`
`22`
`public static final int`
`LAND`
`176`
`public static final int`
`LBRACK`
`85`
`public static final int`
`LCURLY`
`126`
`public static final int`
`LE`
`185`
`public static final int`
`LETTER`
`224`
`public static final int`
`LIST_CONSTRUCTOR`
`57`
`public static final int`
`LITERAL_as`
`114`
`public static final int`
`LITERAL_assert`
`147`
`public static final int`
`LITERAL_boolean`
`105`
`public static final int`
`LITERAL_break`
`144`
`public static final int`
`LITERAL_byte`
`106`
`public static final int`
`LITERAL_case`
`150`
`public static final int`
`LITERAL_catch`
`153`
`public static final int`
`LITERAL_char`
`107`
`public static final int`
`LITERAL_class`
`92`
`public static final int`
`LITERAL_continue`
`145`
`public static final int`
`LITERAL_def`
`84`
`public static final int`
`LITERAL_default`
`129`
`public static final int`
`LITERAL_double`
`112`
`public static final int`
`LITERAL_else`
`138`
`public static final int`
`LITERAL_enum`
`94`
`public static final int`
`LITERAL_extends`
`98`
`public static final int`
`LITERAL_false`
`157`
`public static final int`
`LITERAL_finally`
`152`
`public static final int`
`LITERAL_float`
`110`
`public static final int`
`LITERAL_for`
`141`
`public static final int`
`LITERAL_if`
`137`
`public static final int`
`LITERAL_implements`
`131`
`public static final int`
`LITERAL_import`
`82`
`public static final int`
`LITERAL_in`
`142`
`public static final int`
`LITERAL_instanceof`
`158`
`public static final int`
`LITERAL_int`
`109`
`public static final int`
`LITERAL_interface`
`93`
`public static final int`
`LITERAL_long`
`111`
`public static final int`
`LITERAL_native`
`119`
`public static final int`
`LITERAL_new`
`159`
`public static final int`
`LITERAL_null`
`160`
`public static final int`
`LITERAL_package`
`81`
`public static final int`
`LITERAL_private`
`115`
`public static final int`
`LITERAL_protected`
`117`
`public static final int`
`LITERAL_public`
`116`
`public static final int`
`LITERAL_return`
`143`
`public static final int`
`LITERAL_short`
`108`
`public static final int`
`LITERAL_static`
`83`
`public static final int`
`LITERAL_super`
`99`
`public static final int`
`LITERAL_switch`
`140`
`public static final int`
`LITERAL_synchronized`
`121`
`public static final int`
`LITERAL_this`
`132`
`public static final int`
`LITERAL_threadsafe`
`120`
`public static final int`
`LITERAL_throw`
`146`
`public static final int`
`LITERAL_throws`
`130`
`public static final int`
`LITERAL_trait`
`95`
`public static final int`
`LITERAL_transient`
`118`
`public static final int`
`LITERAL_true`
`161`
`public static final int`
`LITERAL_try`
`151`
`public static final int`
`LITERAL_void`
`104`
`public static final int`
`LITERAL_volatile`
`122`
`public static final int`
`LITERAL_while`
`139`
`public static final int`
`LNOT`
`196`
`public static final int`
`LOR`
`175`
`public static final int`
`LPAREN`
`91`
`public static final int`
`LT`
`89`
`public static final int`
`MAP_CONSTRUCTOR`
`58`
`public static final int`
`MEMBER_POINTER`
`156`
`public static final int`
`METHOD_CALL`
`27`
`public static final int`
`METHOD_DEF`
`8`
`public static final int`
`MINUS`
`149`
`public static final int`
`MINUS_ASSIGN`
`163`
`public static final int`
`ML_COMMENT`
`210`
`public static final int`
`MOD`
`192`
`public static final int`
`MOD_ASSIGN`
`166`
`public static final int`
`MODIFIERS`
`5`
`public static final int`
`MULTICATCH`
`78`
`public static final int`
`MULTICATCH_TYPES`
`79`
`public static final int`
`NLS`
`205`
`public static final int`
`NOT_EQUAL`
`180`
`public static final int`
`NOT_IDENTICAL`
`183`
`public static final int`
`NULL_TREE_LOOKAHEAD`
`3`
`public static final int`
`NUM_BIG_DECIMAL`
`204`
`public static final int`
`NUM_BIG_INT`
`203`
`public static final int`
`NUM_DOUBLE`
`202`
`public static final int`
`NUM_FLOAT`
`200`
`public static final int`
`NUM_INT`
`199`
`public static final int`
`NUM_LONG`
`201`
`public static final int`
`OBJBLOCK`
`6`
`public static final int`
`ONE_NL`
`208`
`public static final int`
`OPTIONAL_DOT`
`155`
`public static final int`
`PACKAGE_DEF`
`16`
`public static final int`
`PARAMETER_DEF`
`21`
`public static final int`
`PARAMETERS`
`20`
`public static final int`
`PLUS`
`148`
`public static final int`
`PLUS_ASSIGN`
`162`
`public static final int`
`POST_DEC`
`26`
`public static final int`
`POST_INC`
`25`
`public static final int`
`QUESTION`
`97`
`public static final int`
`RANGE_EXCLUSIVE`
`189`
`public static final int`
`RANGE_INCLUSIVE`
`188`
`public static final int`
`RBRACK`
`86`
`public static final int`
`RCURLY`
`127`
`public static final int`
`REGEX_FIND`
`178`
`public static final int`
`REGEX_MATCH`
`179`
`public static final int`
`REGEXP_CTOR_END`
`214`
`public static final int`
`REGEXP_LITERAL`
`212`
`public static final int`
`REGEXP_SYMBOL`
`218`
`public static final int`
`RPAREN`
`123`
`public static final int`
`SELECT_SLOT`
`52`
`public static final int`
`SEMI`
`128`
`public static final int`
`SH_COMMENT`
`80`
`public static final int`
`SL`
`187`
`public static final int`
`SL_ASSIGN`
`169`
`public static final int`
`SL_COMMENT`
`209`
`public static final int`
`SLIST`
`7`
`public static final int`
`SPREAD_ARG`
`55`
`public static final int`
`SPREAD_DOT`
`154`
`public static final int`
`SPREAD_MAP_ARG`
`56`
`public static final int`
`SR`
`102`
`public static final int`
`SR_ASSIGN`
`167`
`public static final int`
`STAR`
`113`
`public static final int`
`STAR_ASSIGN`
`164`
`public static final int`
`STAR_STAR`
`194`
`public static final int`
`STAR_STAR_ASSIGN`
`173`
`public static final int`
`STATIC_IMPORT`
`60`
`public static final int`
`STATIC_INIT`
`11`
`public static final int`
`STRICTFP`
`43`
`public static final int`
`STRING_CH`
`211`
`public static final int`
`STRING_CONSTRUCTOR`
`48`
`public static final int`
`STRING_CTOR_END`
`198`
`public static final int`
`STRING_CTOR_MIDDLE`
`49`
`public static final int`
`STRING_CTOR_START`
`197`
`public static final int`
`STRING_LITERAL`
`88`
`public static final int`
`STRING_NL`
`221`
`public static final int`
`SUPER_CTOR_CALL`
`44`
`public static final int`
`TRAIT_DEF`
`15`
`public static final int`
`TRIPLE_DOT`
`133`
`public static final int`
`TYPE`
`12`
`public static final int`
`TYPE_ARGUMENT`
`71`
`public static final int`
`TYPE_ARGUMENTS`
`70`
`public static final int`
`TYPE_LOWER_BOUNDS`
`76`
`public static final int`
`TYPE_PARAMETER`
`73`
`public static final int`
`TYPE_PARAMETERS`
`72`
`public static final int`
`TYPE_UPPER_BOUNDS`
`75`
`public static final int`
`TYPECAST`
`23`
`public static final int`
`UNARY_MINUS`
`30`
`public static final int`
`UNARY_PLUS`
`31`
`public static final int`
`UNUSED_CONST`
`41`
`public static final int`
`UNUSED_DO`
`42`
`public static final int`
`UNUSED_GOTO`
`40`
`public static final int`
`VARIABLE_DEF`
`9`
`public static final int`
`VARIABLE_PARAMETER_DEF`
`47`
`public static final int`
`VOCAB`
`223`
`public static final int`
`WILDCARD_TYPE`
`74`
`public static final int`
`WS`
`207`

org.codehaus.groovy.antlr.treewalker.Visitor
Modifier and Type
Constant Field
Value
`public static final int`
`CLOSING_VISIT`
`4`
`public static final int`
`OPENING_VISIT`
`1`
`public static final int`
`SECOND_VISIT`
`2`
`public static final int`
`SUBSEQUENT_VISIT`
`3`

org.codehaus.groovy.ast.AnnotationNode
Modifier and Type
Constant Field
Value
`public static final int`
`ANNOTATION_TARGET`
`64`
`public static final int`
`CONSTRUCTOR_TARGET`
`2`
`public static final int`
`FIELD_TARGET`
`8`
`public static final int`
`LOCAL_VARIABLE_TARGET`
`32`
`public static final int`
`METHOD_TARGET`
`4`
`public static final int`
`PACKAGE_TARGET`
`128`
`public static final int`
`PARAMETER_TARGET`
`16`
`public static final int`
`TYPE_TARGET`
`1`
org.codehaus.groovy.ast.ClassHelper
Modifier and Type
Constant Field
Value
`public static final String`
`OBJECT`
`"java.lang.Object"`
org.codehaus.groovy.ast.MethodNode
Modifier and Type
Constant Field
Value
`public static final String`
`SCRIPT_BODY_METHOD_KEY`
`"org.codehaus.groovy.ast.MethodNode.isScriptBody"`

org.codehaus.groovy.ast.tools.GenericsUtils
Modifier and Type
Constant Field
Value
`public static final String`
`JAVA_LANG_OBJECT`
`"java.lang.Object"`

org.codehaus.groovy.classgen.AsmClassGenerator
Modifier and Type
Constant Field
Value
`public static final boolean`
`ASM_DEBUG`
`false`
`public static final boolean`
`CREATE_DEBUG_INFO`
`true`
`public static final boolean`
`CREATE_LINE_NUMBER_INFO`
`true`
org.codehaus.groovy.classgen.ExtendedVerifier
Modifier and Type
Constant Field
Value
`public static final String`
`JVM_ERROR_MESSAGE`
`"Please make sure you are running on a JVM >= 1.5"`
org.codehaus.groovy.classgen.Verifier
Modifier and Type
Constant Field
Value
`public static final String`
`__TIMESTAMP`
`"__timeStamp"`
`public static final String`
`__TIMESTAMP__`
`"__timeStamp__239_neverHappen"`
`public static final String`
`DEFAULT_PARAMETER_GENERATED`
`"DEFAULT_PARAMETER_GENERATED"`
`public static final String`
`INITIAL_EXPRESSION`
`"INITIAL_EXPRESSION"`
`public static final String`
`STATIC_METACLASS_BOOL`
`"__$stMC"`
`public static final String`
`SWAP_INIT`
`"__$swapInit"`

org.codehaus.groovy.classgen.asm.CallSiteWriter
Modifier and Type
Constant Field
Value
`public static final String`
`CONSTRUCTOR`
`"<$constructor$>"`
org.codehaus.groovy.classgen.asm.MethodCallerMultiAdapter
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_ARGS`
`0`

org.codehaus.groovy.control.CompilerConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`INVOKEDYNAMIC`
`"indy"`
`public static final String`
`JDK4`
`"1.4"`
`public static final String`
`JDK5`
`"1.5"`
`public static final String`
`JDK6`
`"1.6"`
`public static final String`
`JDK7`
`"1.7"`
`public static final String`
`JDK8`
`"1.8"`
`public static final String`
`POST_JDK5`
`"1.5"`
`public static final String`
`PRE_JDK5`
`"1.4"`
org.codehaus.groovy.control.Phases
Modifier and Type
Constant Field
Value
`public static final int`
`ALL`
`9`
`public static final int`
`CANONICALIZATION`
`5`
`public static final int`
`CLASS_GENERATION`
`7`
`public static final int`
`CONVERSION`
`3`
`public static final int`
`FINALIZATION`
`9`
`public static final int`
`INITIALIZATION`
`1`
`public static final int`
`INSTRUCTION_SELECTION`
`6`
`public static final int`
`OUTPUT`
`8`
`public static final int`
`PARSING`
`2`
`public static final int`
`SEMANTIC_ANALYSIS`
`4`

org.codehaus.groovy.control.messages.WarningMessage
Modifier and Type
Constant Field
Value
`public static final int`
`LIKELY_ERRORS`
`1`
`public static final int`
`NONE`
`0`
`public static final int`
`PARANOIA`
`3`
`public static final int`
`POSSIBLE_ERRORS`
`2`

org.codehaus.groovy.reflection.ClassInfo
Modifier and Type
Constant Field
Value
`public final int`
`hash`
`-1`

org.codehaus.groovy.runtime.MethodRankHelper
Modifier and Type
Constant Field
Value
`public static final int`
`DL_CASE`
`5`
`public static final int`
`DL_DELETE`
`10`
`public static final int`
`DL_SUBSTITUTION`
`10`
`public static final int`
`DL_TRANSPOSITION`
`5`
`public static final int`
`MAX_CONSTRUCTOR_SCORE`
`20`
`public static final int`
`MAX_FIELD_SCORE`
`30`
`public static final int`
`MAX_METHOD_SCORE`
`50`
`public static final int`
`MAX_RECOMENDATIONS`
`5`
org.codehaus.groovy.runtime.StackTraceUtils
Modifier and Type
Constant Field
Value
`public static final String`
`STACK_LOG_NAME`
`"StackTrace"`

org.codehaus.groovy.runtime.m12n.ExtensionModuleScanner
Modifier and Type
Constant Field
Value
`public static final String`
`MODULE_META_INF_FILE`
`"META-INF/services/org.codehaus.groovy.runtime.ExtensionModule"`
org.codehaus.groovy.runtime.m12n.MetaInfExtensionModule
Modifier and Type
Constant Field
Value
`public static final String`
`MODULE_INSTANCE_CLASSES_KEY`
`"extensionClasses"`
`public static final String`
`MODULE_STATIC_CLASSES_KEY`
`"staticExtensionClasses"`
org.codehaus.groovy.runtime.m12n.PropertiesModuleFactory
Modifier and Type
Constant Field
Value
`public static final String`
`MODULE_NAME_KEY`
`"moduleName"`
`public static final String`
`MODULE_VERSION_KEY`
`"moduleVersion"`
org.codehaus.groovy.runtime.m12n.StandardPropertiesModuleFactory
Modifier and Type
Constant Field
Value
`public static final String`
`MODULE_FACTORY_KEY`
`"moduleFactory"`

org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_INITIAL_CAPACITY`
`32`
`public static final float`
`DEFAULT_LOAD_FACTOR`
`0.75f`
org.codehaus.groovy.runtime.metaclass.MetaClassRegistryImpl
Modifier and Type
Constant Field
Value
`public static final int`
`DONT_LOAD_DEFAULT`
`1`
`public static final int`
`LOAD_DEFAULT`
`0`
`public static final String`
`MODULE_META_INF_FILE`
`"META-INF/services/org.codehaus.groovy.runtime.ExtensionModule"`
org.codehaus.groovy.runtime.metaclass.MetaMethodIndex
Modifier and Type
Constant Field
Value
`protected static final int`
`DEFAULT_CAPACITY`
`32`
`protected static final int`
`MAXIMUM_CAPACITY`
`268435456`
`protected static final int`
`MINIMUM_CAPACITY`
`4`

org.codehaus.groovy.runtime.typehandling.BigDecimalMath
Modifier and Type
Constant Field
Value
`public static final int`
`DIVISION_EXTRA_PRECISION`
`10`
`public static final int`
`DIVISION_MIN_SCALE`
`10`

org.codehaus.groovy.syntax.Types
Modifier and Type
Constant Field
Value
`public static final int`
`ANY`
`1000`
`public static final int`
`ANY_END_OF_STATEMENT`
`1003`
`public static final int`
`ARRAY_EXPRESSION`
`1905`
`public static final int`
`ARRAY_ITEM_TERMINATORS`
`2001`
`public static final int`
`ASSIGN`
`100`
`public static final int`
`ASSIGNMENT_OPERATOR`
`1100`
`public static final int`
`BITWISE_AND`
`341`
`public static final int`
`BITWISE_AND_EQUAL`
`351`
`public static final int`
`BITWISE_NEGATION`
`97`
`public static final int`
`BITWISE_OPERATOR`
`1107`
`public static final int`
`BITWISE_OR`
`340`
`public static final int`
`BITWISE_OR_EQUAL`
`350`
`public static final int`
`BITWISE_XOR`
`342`
`public static final int`
`BITWISE_XOR_EQUAL`
`352`
`public static final int`
`COLON`
`310`
`public static final int`
`COMMA`
`300`
`public static final int`
`COMPARE_EQUAL`
`123`
`public static final int`
`COMPARE_GREATER_THAN`
`126`
`public static final int`
`COMPARE_GREATER_THAN_EQUAL`
`127`
`public static final int`
`COMPARE_IDENTICAL`
`121`
`public static final int`
`COMPARE_LESS_THAN`
`124`
`public static final int`
`COMPARE_LESS_THAN_EQUAL`
`125`
`public static final int`
`COMPARE_NOT_EQUAL`
`120`
`public static final int`
`COMPARE_NOT_IDENTICAL`
`122`
`public static final int`
`COMPARE_TO`
`128`
`public static final int`
`COMPARISON_OPERATOR`
`1101`
`public static final int`
`COMPLEX_EXPRESSION`
`1911`
`public static final int`
`CREATABLE_PRIMITIVE_TYPE`
`1341`
`public static final int`
`CREATABLE_TYPE_NAME`
`1430`
`public static final int`
`DECIMAL_NUMBER`
`451`
`public static final int`
`DECLARATION_MODIFIER`
`1410`
`public static final int`
`DEREFERENCE_OPERATOR`
`1106`
`public static final int`
`DIVIDE`
`203`
`public static final int`
`DIVIDE_EQUAL`
`213`
`public static final int`
`DOT`
`70`
`public static final int`
`DOT_DOT`
`75`
`public static final int`
`DOT_DOT_DOT`
`77`
`public static final int`
`DOUBLE_PIPE`
`162`
`public static final int`
`EOF`
`-1`
`public static final int`
`EQUAL`
`100`
`public static final int`
`EQUALS`
`100`
`public static final int`
`EXPRESSION`
`1900`
`public static final int`
`FIND_REGEX`
`90`
`public static final int`
`GENERAL_END_OF_STATEMENT`
`1002`
`public static final int`
`GSTRING_END`
`902`
`public static final int`
`GSTRING_EXPRESSION_END`
`904`
`public static final int`
`GSTRING_EXPRESSION_START`
`903`
`public static final int`
`GSTRING_START`
`901`
`public static final int`
`IDENTIFIER`
`440`
`public static final int`
`INFIX_OPERATOR`
`1220`
`public static final int`
`INTDIV`
`204`
`public static final int`
`INTDIV_EQUAL`
`214`
`public static final int`
`INTEGER_NUMBER`
`450`
`public static final int`
`KEYWORD`
`1300`
`public static final int`
`KEYWORD_ABSTRACT`
`510`
`public static final int`
`KEYWORD_AS`
`552`
`public static final int`
`KEYWORD_ASSERT`
`585`
`public static final int`
`KEYWORD_BOOLEAN`
`601`
`public static final int`
`KEYWORD_BREAK`
`574`
`public static final int`
`KEYWORD_BYTE`
`602`
`public static final int`
`KEYWORD_CASE`
`577`
`public static final int`
`KEYWORD_CATCH`
`581`
`public static final int`
`KEYWORD_CHAR`
`608`
`public static final int`
`KEYWORD_CLASS`
`531`
`public static final int`
`KEYWORD_CONST`
`700`
`public static final int`
`KEYWORD_CONTINUE`
`575`
`public static final int`
`KEYWORD_DEF`
`530`
`public static final int`
`KEYWORD_DEFAULT`
`578`
`public static final int`
`KEYWORD_DEFMACRO`
`539`
`public static final int`
`KEYWORD_DO`
`570`
`public static final int`
`KEYWORD_DOUBLE`
`607`
`public static final int`
`KEYWORD_ELSE`
`562`
`public static final int`
`KEYWORD_EXPRESSION`
`1903`
`public static final int`
`KEYWORD_EXTENDS`
`541`
`public static final int`
`KEYWORD_FALSE`
`611`
`public static final int`
`KEYWORD_FINAL`
`511`
`public static final int`
`KEYWORD_FINALLY`
`582`
`public static final int`
`KEYWORD_FLOAT`
`606`
`public static final int`
`KEYWORD_FOR`
`572`
`public static final int`
`KEYWORD_GOTO`
`701`
`public static final int`
`KEYWORD_IDENTIFIER`
`1361`
`public static final int`
`KEYWORD_IF`
`561`
`public static final int`
`KEYWORD_IMPLEMENTS`
`540`
`public static final int`
`KEYWORD_IMPORT`
`551`
`public static final int`
`KEYWORD_IN`
`573`
`public static final int`
`KEYWORD_INSTANCEOF`
`544`
`public static final int`
`KEYWORD_INT`
`604`
`public static final int`
`KEYWORD_INTERFACE`
`532`
`public static final int`
`KEYWORD_LONG`
`605`
`public static final int`
`KEYWORD_MIXIN`
`533`
`public static final int`
`KEYWORD_NATIVE`
`512`
`public static final int`
`KEYWORD_NEW`
`546`
`public static final int`
`KEYWORD_NULL`
`612`
`public static final int`
`KEYWORD_PACKAGE`
`550`
`public static final int`
`KEYWORD_PRIVATE`
`500`
`public static final int`
`KEYWORD_PROPERTY`
`545`
`public static final int`
`KEYWORD_PROTECTED`
`501`
`public static final int`
`KEYWORD_PUBLIC`
`502`
`public static final int`
`KEYWORD_RETURN`
`560`
`public static final int`
`KEYWORD_SHORT`
`603`
`public static final int`
`KEYWORD_STATIC`
`521`
`public static final int`
`KEYWORD_SUPER`
`543`
`public static final int`
`KEYWORD_SWITCH`
`576`
`public static final int`
`KEYWORD_SYNCHRONIZED`
`520`
`public static final int`
`KEYWORD_THIS`
`542`
`public static final int`
`KEYWORD_THROW`
`583`
`public static final int`
`KEYWORD_THROWS`
`584`
`public static final int`
`KEYWORD_TRANSIENT`
`513`
`public static final int`
`KEYWORD_TRUE`
`610`
`public static final int`
`KEYWORD_TRY`
`580`
`public static final int`
`KEYWORD_VOID`
`600`
`public static final int`
`KEYWORD_VOLATILE`
`514`
`public static final int`
`KEYWORD_WHILE`
`571`
`public static final int`
`LEFT_CURLY_BRACE`
`10`
`public static final int`
`LEFT_OF_MATCHED_CONTAINER`
`1501`
`public static final int`
`LEFT_PARENTHESIS`
`50`
`public static final int`
`LEFT_SHIFT`
`280`
`public static final int`
`LEFT_SHIFT_EQUAL`
`285`
`public static final int`
`LEFT_SQUARE_BRACKET`
`30`
`public static final int`
`LITERAL`
`1310`
`public static final int`
`LITERAL_EXPRESSION`
`1904`
`public static final int`
`LOGICAL_AND`
`164`
`public static final int`
`LOGICAL_AND_EQUAL`
`168`
`public static final int`
`LOGICAL_OPERATOR`
`1103`
`public static final int`
`LOGICAL_OR`
`162`
`public static final int`
`LOGICAL_OR_EQUAL`
`166`
`public static final int`
`LOOP`
`1350`
`public static final int`
`MATCH_REGEX`
`94`
`public static final int`
`MATCHED_CONTAINER`
`1500`
`public static final int`
`MATH_OPERATOR`
`1102`
`public static final int`
`METHOD_CALL_STARTERS`
`2006`
`public static final int`
`MINUS`
`201`
`public static final int`
`MINUS_EQUAL`
`211`
`public static final int`
`MINUS_MINUS`
`260`
`public static final int`
`MOD`
`205`
`public static final int`
`MOD_EQUAL`
`215`
`public static final int`
`MULTIPLY`
`202`
`public static final int`
`MULTIPLY_EQUAL`
`212`
`public static final int`
`NAMED_VALUE`
`1330`
`public static final int`
`NAVIGATE`
`80`
`public static final int`
`NEWLINE`
`5`
`public static final int`
`NOT`
`160`
`public static final int`
`NOT_EOF`
`1001`
`public static final int`
`NUMBER`
`1320`
`public static final int`
`OPERATOR_EXPRESSION`
`1901`
`public static final int`
`OPTIONAL_DATATYPE_FOLLOWERS`
`2003`
`public static final int`
`PARAMETER_TERMINATORS`
`2000`
`public static final int`
`PIPE`
`340`
`public static final int`
`PLUS`
`200`
`public static final int`
`PLUS_EQUAL`
`210`
`public static final int`
`PLUS_PLUS`
`250`
`public static final int`
`POSTFIX_MINUS_MINUS`
`262`
`public static final int`
`POSTFIX_OPERATOR`
`1210`
`public static final int`
`POSTFIX_PLUS_PLUS`
`252`
`public static final int`
`POWER`
`206`
`public static final int`
`POWER_EQUAL`
`216`
`public static final int`
`PRECLUDES_CAST_OPERATOR`
`2008`
`public static final int`
`PREFIX_MINUS`
`263`
`public static final int`
`PREFIX_MINUS_MINUS`
`261`
`public static final int`
`PREFIX_OPERATOR`
`1200`
`public static final int`
`PREFIX_OR_INFIX_OPERATOR`
`1230`
`public static final int`
`PREFIX_PLUS`
`253`
`public static final int`
`PREFIX_PLUS_PLUS`
`251`
`public static final int`
`PRIMITIVE_TYPE`
`1340`
`public static final int`
`PURE_PREFIX_OPERATOR`
`1235`
`public static final int`
`QUESTION`
`330`
`public static final int`
`RANGE_OPERATOR`
`1104`
`public static final int`
`REGEX_COMPARISON_OPERATOR`
`1105`
`public static final int`
`REGEX_PATTERN`
`97`
`public static final int`
`RESERVED_KEYWORD`
`1360`
`public static final int`
`RIGHT_CURLY_BRACE`
`20`
`public static final int`
`RIGHT_OF_MATCHED_CONTAINER`
`1502`
`public static final int`
`RIGHT_PARENTHESIS`
`60`
`public static final int`
`RIGHT_SHIFT`
`281`
`public static final int`
`RIGHT_SHIFT_EQUAL`
`286`
`public static final int`
`RIGHT_SHIFT_UNSIGNED`
`282`
`public static final int`
`RIGHT_SHIFT_UNSIGNED_EQUAL`
`287`
`public static final int`
`RIGHT_SQUARE_BRACKET`
`40`
`public static final int`
`SEMICOLON`
`320`
`public static final int`
`SIGN`
`1325`
`public static final int`
`SIMPLE_EXPRESSION`
`1910`
`public static final int`
`STAR`
`202`
`public static final int`
`STAR_STAR`
`206`
`public static final int`
`STRING`
`400`
`public static final int`
`SWITCH_BLOCK_TERMINATORS`
`2004`
`public static final int`
`SWITCH_ENTRIES`
`2005`
`public static final int`
`SYMBOL`
`1301`
`public static final int`
`SYNTH_BLOCK`
`816`
`public static final int`
`SYNTH_CAST`
`815`
`public static final int`
`SYNTH_CLASS`
`801`
`public static final int`
`SYNTH_CLOSURE`
`817`
`public static final int`
`SYNTH_COMPILATION_UNIT`
`800`
`public static final int`
`SYNTH_EXPRESSION`
`1902`
`public static final int`
`SYNTH_GSTRING`
`812`
`public static final int`
`SYNTH_INTERFACE`
`802`
`public static final int`
`SYNTH_LABEL`
`818`
`public static final int`
`SYNTH_LIST`
`810`
`public static final int`
`SYNTH_MAP`
`811`
`public static final int`
`SYNTH_METHOD`
`804`
`public static final int`
`SYNTH_METHOD_CALL`
`814`
`public static final int`
`SYNTH_MIXIN`
`803`
`public static final int`
`SYNTH_PARAMETER_DECLARATION`
`806`
`public static final int`
`SYNTH_PROPERTY`
`805`
`public static final int`
`SYNTH_TERNARY`
`819`
`public static final int`
`SYNTH_TUPLE`
`820`
`public static final int`
`SYNTH_VARIABLE_DECLARATION`
`830`
`public static final int`
`SYNTHETIC`
`1370`
`public static final int`
`TRUTH_VALUE`
`1331`
`public static final int`
`TYPE_DECLARATION`
`1400`
`public static final int`
`TYPE_LIST_TERMINATORS`
`2002`
`public static final int`
`TYPE_NAME`
`1420`
`public static final int`
`UNKNOWN`
`0`
`public static final int`
`UNSAFE_OVER_NEWLINES`
`2007`

org.codehaus.groovy.tools.groovydoc.SimpleGroovyClassDoc
Modifier and Type
Constant Field
Value
`public static final String`
`DOCROOT_PATTERN`
`"(?m)[{]@docRoot}"`
`public static final String`
`DOCROOT_PATTERN2`
`"(?m)[{]@docRoot}/"`

org.codehaus.groovy.tools.shell.util.Preferences
Modifier and Type
Constant Field
Value
`public static final String`
`EDITOR_KEY`
`"editor"`
`public static final String`
`PARSER_FLAVOR_KEY`
`"parser-flavor"`
`public static final String`
`PARSER_RELAXED`
`"relaxed"`
`public static final String`
`PARSER_RIGID`
`"rigid"`
`public static final String`
`SANITIZE_STACK_TRACE_KEY`
`"sanitize-stack-trace"`
`public static final String`
`SHOW_LAST_RESULT_KEY`
`"show-last-result"`
`public static final String`
`VERBOSITY_KEY`
`"verbosity"`

org.codehaus.groovy.transform.AbstractInterruptibleASTTransformation
Modifier and Type
Constant Field
Value
`protected static final String`
`CHECK_METHOD_START_MEMBER`
`"checkOnMethodStart"`
`protected static final String`
`THROWN_EXCEPTION_TYPE`
`"thrown"`
org.codehaus.groovy.transform.ImmutableASTTransformation
Modifier and Type
Constant Field
Value
`public static final String`
`IMMUTABLE_SAFE_FLAG`
`"Immutable.Safe"`
org.codehaus.groovy.transform.LogASTTransformation
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_CATEGORY_NAME`
`"##default-category-name##"`
org.codehaus.groovy.transform.ReadWriteLockASTTransformation
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_INSTANCE_LOCKNAME`
`"$reentrantlock"`
`public static final String`
`DEFAULT_STATIC_LOCKNAME`
`"$REENTRANTLOCK"`
org.codehaus.groovy.transform.StaticTypesTransformation
Modifier and Type
Constant Field
Value
`public static final String`
`STATIC_ERROR_PREFIX`
`"[Static type checking] - "`

org.codehaus.groovy.transform.stc.StaticTypeCheckingVisitor
Modifier and Type
Constant Field
Value
`protected static final int`
`CURRENT_SIGNATURE_PROTOCOL_VERSION`
`1`

org.codehaus.groovy.transform.trait.Traits
Modifier and Type
Constant Field
Value
`public static final String`
`STATIC_THIS_OBJECT`
`"$static$self"`
`public static final String`
`THIS_OBJECT`
`"$self"`

org.codehaus.groovy.util.AbstractConcurrentMapBase
Modifier and Type
Constant Field
Value
`protected static final int`
`MAXIMUM_CAPACITY`
`1073741824`
org.codehaus.groovy.util.ComplexKeyHashMap
Modifier and Type
Constant Field
Value
`protected static final int`
`DEFAULT_CAPACITY`
`32`
`protected static final int`
`MAXIMUM_CAPACITY`
`268435456`
`protected static final int`
`MINIMUM_CAPACITY`
`4`

org.codehaus.groovy.vmplugin.v7.IndyInterface
Modifier and Type
Constant Field
Value
`public static final int`
`GROOVY_OBJECT`
`4`
`public static final int`
`IMPLICIT_THIS`
`8`
`public static final int`
`SAFE_NAVIGATION`
`1`
`public static final int`
`SPREAD_CALL`
`16`
`public static final int`
`THIS_CALL`
`2`
`public static final int`
`UNCACHED_CALL`
`32`